#include<iostream>
#include<cmath>

using namespace std;

int main()
{
    long long x1,y1,x2,y2:
    int i;
    cin >> x1 >> y1 >> x2 >> y2;
    if(x1==x2 || y1==y2)i=2;
    else if(abs(x1-x2)==abs(y1-y2))i=1;
    else i=0;
    cout << i;

}